%global gem_name review

Name:    rubygem-%{gem_name}
Summary: Flexible document format/conversion system
Version: 2.2.0
Release: 3%{?dist}
# LGPLv2 is main license
# jumoline.sty (test/sample-book/src/vendor/jumoline): The LaTeX Project Public License. See LPPL file.
License: LGPLv2 and LPPL
URL:     https://github.com/kmuto/%{gem_name}
Source0: https://rubygems.org/downloads/review-%{version}.gem
BuildRequires: rubygems-devel
BuildArch: noarch

# For testing
BuildRequires: rubygem-minitest
BuildRequires: rubygem-test-unit

# Fix required gem version
Patch0:  rubygem-%{gem_name}-fix_version.patch
Patch1:  rubygem-%{gem_name}-fix_version2.patch

# Fix required gem version on epel
Patch2:  rubygem-%{gem_name}-epel-fix_version.patch

%description
Re:VIEW is an easy-to-use digital publishing system for paper books and ebooks.
Re:VIEW uses its original format('Re:VIEW format') as source files.
Output formats Re:VIEW supports are:

* EPUB
* LaTeX
* InDesign (IDGXML)
* Markdown
* plain text (TOPBuilder Text Markup Language)

Re:VIEW uses its original format('Re:VIEW format') as source files.
See doc/format.md.


## rubygem-%{gem_name}-doc provides unbundle fonts which
## are already provided by a lot of rubygem- packages.
## See bz#1224715
%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%if 0%{?fedora} && 0%{?fedora} > 25
%patch1 -p0
%endif
%if 0%{?fedora} && 0%{?fedora} <= 25
%patch0 -p0
%endif

%if 0%{?rhel}
%patch2 -p0
%endif

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# If there were programs installed:
mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

# On EPEL only, 'Unable to convert' warnings are related to a bug of Ruby 2.0
# https://github.com/rdoc/rdoc/issues/189
rdoc --op=%{buildroot}%{gem_docdir}/html --root=./%{gem_docdir}

# Remove useless directories
rm -rf %{buildroot}%{gem_instdir}/debian
rm -f %{buildroot}%{gem_docdir}/html/js/*.js.gz
rm -rf %{buildroot}%{gem_docdir}/html/__

##Fix shebang of some files
pushd %{buildroot}%{gem_instdir}/bin
sed -e '1s|/usr/bin/env ruby|/usr/bin/ruby|' -i *
popd

# Remove hidden files
rm -f %{buildroot}%{gem_instdir}/.gitignore
rm -f %{buildroot}%{gem_instdir}/.*.yml

%check
ruby -Ilib:test -I ./test ./test/test_*.rb

%files
%license %{gem_instdir}/COPYING
%license %{gem_instdir}/test/sample-book/src/vendor/jumoline/lppl.txt
%{_bindir}/review
%{_bindir}/review-*
%exclude %{gem_cache}
%exclude %{gem_docdir}
%{gem_instdir}/
%exclude %{gem_instdir}/test
%{gem_spec}

%files doc
%{gem_docdir}/

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 09 2017 Antonio Trande <sagitter@fedoraproject.org> - 2.2.0-2
- Fix patch for Fedora 26

* Thu Mar 09 2017 Antonio Trande <sagitter@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0 (bz#1430524)
- Include LPPL license

* Sat Feb 18 2017 Antonio Trande <sagitter@fedoraproject.org> - 2.1.0-3
- Re-patched for Fedora

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Oct 29 2016 Antonio Trande <sagitter@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0

* Sat Apr 30 2016 Antonio Trande <sagitter@fedoraproject.org> - 2.0.0-2
- Fix rubygem(rubyzip) version required

* Fri Apr 29 2016 Antonio Trande <sagitter@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0

* Sat Apr 23 2016 Antonio Trande <sagitter@fedoraproject.org> - 1.7.2-3
- COPYING file tagged with %%license
- Executable permission fix

* Sat Apr 16 2016 Antonio Trande <sagitter@fedoraproject.org> - 1.7.2-2
- Excluded cache directory
- Use %%{gem_docdir}

* Fri Mar 18 2016 Antonio Trande <sagitter@fedoraproject.org> - 1.7.2-1
- First package
